Draft Vue 2D d'une forme

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Shape2DView and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский

Draft Shape2DView.svg Draft Vue 2D d'une forme

Emplacement du menu
Modification → Vue 2D de la forme
Ateliers
Draft, Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Aucun

Description

La commande Draft Shape2DView.svg Draft Vue 2D d'une forme crée des projections 2D à partir d'objets sélectionnés, généralement des solides 3D ou des Arch Plan de section. Les projections sont placées dans la Vue 3D.

Les projections Vue 2D d'une forme peuvent être affichées sur une page de l'atelier TechDraw à l'aide de la commande TechDraw Vue Draft. Par ailleurs, l'atelier TechDraw offre ses propres commandes de projection, mais celles-ci créent des projections qui ne sont affichées que sur la page de dessin et non dans la Vue 3D.

Draft Shape2DView example.jpg

Projection de formes solides sur le plan XY

Utilisation

  1. Vous pouvez faire la Vue 3D. La direction de la caméra dans la Vue 3D détermine le vecteur de projection. Par exemple, une vue de dessus sera projetée sur le plan XY. Le vecteur de projection est ignoré pour les projections créées à partir de Arch Plan de section.
  2. Sélectionnez éventuellement un ou plusieurs objets.
  3. Il existe plusieurs façons de lancer la commande :
  4. Si vous n'avez pas encore sélectionné d'objet : sélectionnez un objet dans la Vue 3D.
  5. Les objets projetés sont créés sur le plan XY.

Comment produire des plans et des sections avec des largeurs de ligne différentes

Draft shape2dview example plan.png

Des dessins avec des largeurs de ligne différentes pour les lignes vues et coupées peuvent être facilement produits en utilisant deux objets Vue 2D d'une forme d'un même Arch Plan de section. Un des objets Vue 2D d'une forme a son mode de projection défini sur Solide, qui restitue les lignes vues, et un autre sur Couper les lignes ou Couper les faces pour rendre la coupe lignes. Les deux Vue 2D d'une forme sont ensuite placées au même endroit, l'une au-dessus de l'autre.

Propriétés

Voir aussi : Éditeur de propriétés.

Un objet Draft Vue 2D d'une forme est dérivé d'un Part Part2DObject et hérite de toutes ses propriétés. Il possède également les propriétés supplémentaires suivantes :

Données

Draft

  • DonnéesAuto Update (Bool) : spécifie si la projection doit être automatiquement recalculée si l'objet DonnéesBase change. Sélectionner false peut être utile s'il y a de nombreux Draft Shape2DViews dans un document ou si ils sont complexes. Définie à false, la commande Std Rafraîchir doit être utilisée pour mettre à jour la projection. Introduit dans la version 0.20
  • DonnéesBase (Link) : spécifie l'objet à projeter.
  • DonnéesFace Numbers (IntegerList) : spécifie les indices des faces à projeter. Ne fonctionne que si DonnéesProjection Mode est Faces individuelles.
  • DonnéesFuse Arch (Bool) : spécifie si les Arch objects de même type et matériau sont fusionnés ou non.
  • DonnéesHidden Lines (Bool) : spécifie si les lignes cachées sont affichées ou non.
  • DonnéesIn Place (Bool) : ne fonctionne que si l'objet sélectionné est un Arch Plan de section, et que DonnéesProjection Mode est Cutlines ou Cutfaces, spécifie si la projection apparaîtra coplanaire avec le plan de section.
  • DonnéesProjection (Vector) : spécifie la direction de la projection. Ignoré si DonnéesBase est un Arch Plan de section.
  • DonnéesProjection Mode (Enumeration) : spécifie le mode de projection. Les modes suivants sont disponibles :
    • Solid : projette l'objet sélectionné dans son intégralité.
    • Faces individuelles : projette uniquement les faces de la liste DonnéesFace Numbers.
    • Cutlines : ne fonctionne que si l'objet sélectionné est un Arch Plan de section, ne projette que les arêtes coupées par le plan de coupe.
    • Cutfaces : ne fonctionne que si l'objet sélectionné est un Arch Plan de section, projette les zones coupées dans les solides par le plan de coupe comme des faces.
    • Faces solides : projette l'objet sélectionné dans son intégralité en découpant les faces une par une. Peut être utilisé si le mode Solid donne de mauvais résultats. Introduit dans la version 0.20
  • DonnéesSegment Length (Float) : spécifie la taille en millimètres des segments linéaires si DonnéesTessellation est true.
  • DonnéesTessellation (Bool) : spécifie si la tessellation doit être effectuée. La tessellation signifie que les courbes sont remplacées par des séquences de segments de lignes. Cette opération peut être coûteuse en calcul si la DonnéesSegment Length est trop courte.
  • DonnéesVisible Only (Bool) : spécifie si la projection doit être recalculée uniquement si elle est visible.
  • DonnéesExclusion Points (Vector list) : Une liste de points d'exclusion. Toute arête passant par l'un de ces points ne sera pas dessinée. Introduit dans la version 0.20

Vue

Draft

  • VuePattern (Enumeration) : non utilisé.
  • VuePattern Size (Float) : non utilisé.

Script

Voir aussi : Autogenerated API documentation et Débuter avec les scripts FreeCAD.

Pour créer une projection 2D, utilisez la méthode make_shape2dview (Introduit dans la version 0.19) du module Draft. Cette méthode remplace la méthode obsolète makeShape2DView.

shape2dview = make_shape2dview(baseobj, projectionVector=None, facenumbers=[])
  • baseobj est l'objet à projeter.
  • projectionVector est le vecteur de projection. S'il n'est pas fourni, l'axe Z est utilisé.
  • facenumbers est une liste de numéros de face (basé sur 0). Si elles sont fournies, seules ces faces sont prises en compte.
  • shape2dview est renvoyé avec la projection 2D créée.

Modifiez la propriété ProjectionMode de l'objet créé si nécessaire. Cela peut être : "Solid", "Individual Faces", "Cutlines", "Cutfaces" ou "Faces pleines".

Exemple :

import FreeCAD as App
import Draft

doc = App.newDocument()

box = doc.addObject("Part::Box", "Box")
box.Length = 2300
box.Width = 500
box.Height = 1000

shape1 = Draft.make_shape2dview(box)

shape2 = Draft.make_shape2dview(box, App.Vector(1, -1, 1))

shape3 = Draft.make_shape2dview(box, App.Vector(-1, 1, 1), [0, 5])
shape3.ProjectionMode = "Individual Faces"

doc.recompute()